/**
 * Sandbox helper for opening windows
 */
var helper = {};
helper.open = function(win) {
	tabGroup.activeTab.open(win, { animated: true });	
};

/**
 * Creating a page
 */
var Page = {};
Page.generateWindow = function() {
	var win = Ti.UI.createWindow({
		title: 'Helper Window'
	});
	
	var testdata = [
		{ title: 'Test 1' },
		{ title: 'Test 2' },
		{ title: 'Test 3' },
		{ title: 'Test 4' }
	];
	
	var tableview = Ti.UI.createTableView({ data: testdata });
	tableview.addEventListener('click', function() {
		Page.generateWindow();
	});
	
	win.add(tableview);
	
	helper.open(win);	
};